Print Message

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
POST /o/op/1/printMsg

Send a message to the POS. Generates a notification on the register screen. Can also be sent to the printer.
If the POS is offline, the message will be stored for up to 24h and sent when the POS comes online.

Query parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

application/json

Body Required

  • message string Required

    The message to be printed.

  • alsoToPrinter boolean

    Print on the receipt printer as well as till (highly recommended).

Responses

  • 200 application/json

    accepted

    Hide response attribute Show response attribute object
    • status string

      The response.

POST /o/op/1/printMsg
curl \
 --request POST 'https://api.trial.lsk.lightspeed.app/o/op/1/printMsg?businessLocationId=45454565682155' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"message":"The Print Message","alsoToPrinter":true}'
Request examples
{
  "message": "The Print Message",
  "alsoToPrinter": true
}
Response examples (200)
{
  "status": "ok"
}